cancel
Showing results for 
Search instead for 
Did you mean: 

STM32F407ZET6 Could not verify ST Device

Neolithic
Associate III

Hi All,

 

I have a setup where I bought a STM32F407ZET6 dev board from AliExpress and have been using for almost 6 years using STM32Cube IDE. It was only until i updated my IDE from 1.6 to 1.14 when it started saying that "Could not verify ST Device! Please verify that the latest version of gdb-server is used for the connection". my openocd is remotely running on Raspiberry pi where it uses the bitbanging driver to drive the GPIOs for establishing an SWD connection. 

 

This same question has been addressed in several other threads in the context of bluepill (https://community.st.com/t5/stm32-mcus-boards-and-hardware/how-to-deal-wirh-could-not-verify-st-device/td-p/234230/page/2).

On the OpenOCD side, i am getting this error:

Neolithic_0-1702623539327.png

I tried changing the -expected-id $_CPUTAPID to different values suggested in different posts (including 0), but nothing works. Most of the forums talk about this issue in the context of Bluepill; however this is STM32F407 based board.

 

Can anyone please help me with this problem. I will appreciate the help. Thanks.

 

Regards,

Junaid

8 REPLIES 8
TDK
Guru

You likely have a counterfeit programmer. Buy a genuine one or roll back to a previous CubeIDE version.

 

If you feel a post has answered your question, please click "Accept as Solution".

Perhaps this is a Giga Devices part?

https://www.eevblog.com/forum/microcontrollers/gd32f4xx-id-code-register-list-for-various-types/

Tips, Buy me a coffee, or three.. PayPal Venmo
Up vote any posts that you find helpful, it shows what's working..
Jacob WOODRUFF
ST Employee

Hi All,

 

This question has been routed to our online support center for support from our team.

 

Regards,

Jake

ST Support

As I already mentioned in my post, I am not using any programmer. I am using Raspberry pi bit banging driver to drive GPIOs for SWD protocol to communicate with my device. So, its not really any programmer issue.

Hi Jake. Thanks. When can I expect a reply?

The question is that even if this is some giga device thing, which i am not sure about, why cube ide 1.6 has no issue at all and higher versions have issue. What was changed and how to fix it?

Some ST supplied component, say within the driver or debugger, is gate keeping this access, causing the error you are reporting.

Tips, Buy me a coffee, or three.. PayPal Venmo
Up vote any posts that you find helpful, it shows what's working..

How do we fix it in higher versions? Clearly this is working perfectly until version 1.6 of Cube IDE. What is specifically changed which we can fix